package com.yonge.netty.common.message;

/**
 * 通信协议的消息体
 */
public class Message<T> {

	/**
	 * 类型
	 */
	private String type;

	/**
	 * 消息
	 */
	private T data;

	// 空构造方法
	public Message() {
	}

	public Message(String type, T data) {
		this.type = type;
		this.data = data;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}
}
